/*
 * Copyright © 2019 by Data Virtuality GmbH
 */
package org.teiid.query.sql;

import java.io.Serializable;

public interface StreamPositionAware extends Serializable {
    int getTextStart(); // including

    int getTextEnd(); // excluding

    void move(int delta);

    void recalc(int start, int length);

    StreamPositionAware clone();
}
